Bug 185274 - Crash using harddrive method when an image is missing
Crash using harddrive method when an image is missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-12 22:43 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 11:02:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch against CVS of today (1.25 KB, patch)
2006-03-12 22:43 EST, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2006-03-12 22:43:06 EST
The harddrive method is not checking if the image exists before trying to mount it. 

Traceback:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 1253, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 245, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 951, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 146, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 217, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/backend.py", line 160, in doInstall
    backend.doInstall(intf, id, instPath)
  File "/usr/lib/anaconda/yuminstall.py", line 901, in doInstall
    self.ayum.run(self.instLog, cb, intf)
  File "/usr/lib/anaconda/yuminstall.py", line 424, in run
    self.method.switchMedia(i)
  File "/usr/lib/anaconda/harddrive.py", line 114, in switchMedia
    self.mountMedia(mediano)
  File "/usr/lib/anaconda/harddrive.py", line 48, in mountMedia
    isoImage = self.isoDir + '/' + self.path + '/' + self.discImages[cdNum]
KeyError: 3

Obviously the third image is not present :-)

Attaching a (untested) patch which should give a slightly nicer user experience
(assuming SystemError is caught and handled appropriately).
Even better would be to actually check if /all/ required images are present
before allowing the user to continue with the installation.
Comment 1 Need Real Name 2006-03-12 22:43:06 EST
Created attachment 126015 [details]
proposed patch against CVS of today
Comment 2 Chris Lumens 2006-03-13 11:02:38 EST
Modified to use the same loop we use on NFS ISO installs - if the image isn't
present, allow the user to copy it over or reboot.

Note You need to log in before you can comment on or make changes to this bug.